HomeGuidesAPI Reference
API Reference

Search Users

Search & Retrieve Users, ACCESS LEVEL: SUPER_ADMIN, PARTNER, MERCHANT, BRANCH

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Overview

Retrieve a paginated list of users with optional filtering.


Endpoint

GET https://demo-api.edfapay.com/api/v1/users/search


Query Parameters

FieldTypeRequiredDescription
pageNumberIntegerYesPage number (starts from 0)
pageSizeIntegerYesNumber of records per page
textStringNoSearch keyword
activeBooleanNoFilter active users

Request Example

curl --location 'https://demo-api.edfapay.com/api/v1/users/search?pageNumber=0&pageSize=10&text=test&active=true' \
--header 'X-API-KEY: <Your API Key>'

Response Body

FieldTypeDescription
codeIntegerResponse code
messageStringStatus message
data.contentArrayList of users
data.content[].idUUIDUser ID
data.content[].usernameStringEmail/username
data.content[].firstNameStringFirst name
data.content[].lastNameStringLast name
data.content[].phoneNumberStringPhone
data.content[].userTypeStringUser type
data.numberIntegerPage number
data.sizeIntegerPage size
data.totalElementsIntegerTotal records
data.totalPagesIntegerTotal pages

Response Example

{
  "code": 200,
  "message": "Success",
  "data": {
    "content": [
      {
        "id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
        "username": "[email protected]",
        "firstName": "Test",
        "lastName": "User",
        "phoneNumber": "+966-500000000",
        "userType": "USER"
      }
    ],
    "number": 0,
    "size": 10,
    "totalElements": 1,
    "totalPages": 1
  }
}
Query Params
pageProperties
object
required

Search Pageable

searchCriteria
object
required

User Search Criteria

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Choose an example:
*/*